Subject: bug#18195: 24.3.92; window-screen-lines is not accurate

From: martin rudalics <[email-masked]>
Date: Tue, 05 Aug 2014 10:38:15 +0200

> If I have line-spacing set, the value the above function returns is
 > smaller than the actuall number of screen lines the window can contain.
 >
 > For example, when I have the current Emacs frame maximized and
 > line-spacing set to 0.2, (window-screen-lines) returns 46.66(6), whereas
 > there are 48 fully-visible lines in the given window and one
 > partially-visible one.
 >
 > Here's my default font:
 >
 >    (set-face-attribute 'default nil :height 105 :family "Fira Mono")
 >
 > Related:
 > http://lists.gnu.org/archive/html/help-gnu-emacs/2014-08/msg00026.html

IIUC

https://github.com/company-mode/company-mode/issues/160#issuecomment-51022508

mentioned in that thread, all you want is to display all lines of a
completion buffer.  Is that correct?  If so, then why can't/don't you
use `fit-window-to-buffer'?

martin